
/*
   1-RGB-Blink Challenge:
   Blink red, green, and blue individually.
   
   Hints: Common anode (CA) means the red, green, blue LEDs share a common +5V.
          CA-RGBs are "backwards" from conventional LEDs.
          0/LOW is 100% ON, and 255/HIGH is 100% OFF.
*/

//RGB LEDs connected to pins 9, 10, 11
const int red = 9;
const int green = 10;
const int blue = 11;

void setup() {
  //set each LED to output
  pinMode(red, OUTPUT);
  pinMode(green, OUTPUT);
  pinMode(blue, OUTPUT);

  //turn LEDs off
  digitalWrite(red, HIGH);
  digitalWrite(green, HIGH);
  digitalWrite(blue, HIGH);
}

void loop() {

  //turn red on/off for 500ms
  digitalWrite(red, LOW);
  delay(500);
  digitalWrite(red, HIGH);
  delay(500);


  //turn green on/off for 500ms
  digitalWrite(green, LOW);
  delay(500);
  digitalWrite(green, HIGH);
  delay(500);

  //turn blue on/off for 500ms
  digitalWrite(blue, LOW);
  delay(500);
  digitalWrite(blue, HIGH);
  delay(500);
}
