
/*
   RBG-DoubleRainbow.ino
*/

//RGB connected to pins 9, 10, 11
const int red = 9;
const int green = 10;
const int blue = 11;
const int red2 = 3;
const int green2 = 5;
const int blue2 = 6;

//potentiometer connected to A0
const int pot = A0;
//create variable for potentiometer value
int potValue = 0;

void setup() {
  //set LEDs to output
  pinMode(red, OUTPUT);
  pinMode(green, OUTPUT);
  pinMode(blue, OUTPUT);
  pinMode(red2, OUTPUT);
  pinMode(green2, OUTPUT);
  pinMode(blue2, OUTPUT);
}

void loop() {

  //fade from blue magenta
  for (int x = 0; x < 128; x++) {

    //pot reading from 0 - 20 (adjust speed)
    potValue = analogRead(pot) / 50;

    //assign new values to red and blue
    analogWrite(blue, x);
    analogWrite(red, 255 - x);

    //assign new values to green2 and red2
    analogWrite(red2, x + 128);
    analogWrite(green2, 128 - x);

    //green and blue2 LEDs are off
    digitalWrite(green, HIGH);
    digitalWrite(blue2, HIGH);

    //delay based on pot reading
    delay(21 - potValue);
  }

  //fade from magenta to red
  for (int x = 0; x < 128; x++) {
    potValue = analogRead(pot) / 50;
    analogWrite(blue, x + 128);
    analogWrite(red, 128 - x);
    digitalWrite(green, HIGH);

    analogWrite(green2, x);
    analogWrite(blue2, 255 - x);
    digitalWrite(red2, HIGH);
    delay(21 - potValue);
  }

  //fade from red to yellow
  for (int x = 0; x < 128; x++) {
    potValue = analogRead(pot) / 50;
    analogWrite(red, x);
    analogWrite(green, 255 - x);
    digitalWrite(blue, HIGH);

    analogWrite(green2, x + 128);
    analogWrite(blue2, 128 - x);
    digitalWrite(red2, HIGH);
    delay(21 - potValue);
  }

  //fade from yellow to green
  for (int x = 0; x < 128; x++) {
    potValue = analogRead(pot) / 50;
    analogWrite(red, x + 128);
    analogWrite(green, 128 - x);
    digitalWrite(blue, HIGH);

    analogWrite(blue2, x);
    analogWrite(red2, 255 - x);
    digitalWrite(green2, HIGH);
    delay(21 - potValue);
  }

  //fade from green to cyan
  for (int x = 0; x < 128; x++) {
    potValue = analogRead(pot) / 50;
    analogWrite(green, x);
    analogWrite(blue, 255 - x);
    digitalWrite(red, HIGH);

    analogWrite(blue2, x + 128);
    analogWrite(red2, 128 - x);
    digitalWrite(green2, HIGH);
    delay(21 - potValue);
  }

  //fade from cyan to blue
  for (int x = 0; x < 128; x++) {
    potValue = analogRead(pot) / 50;
    analogWrite(green, x + 128);
    analogWrite(blue, 128 - x);
    digitalWrite(red, HIGH);

    analogWrite(red2, x);
    analogWrite(green2, 255 - x);
    digitalWrite(blue2, HIGH);
    delay(21 - potValue);
  }

}
